Skip to main content
`Ctrl`+`K`

# PCGAMGSetAggressiveSquareGraph

Use graph square A’A for aggressive coarsening, old method

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCGAMGSetAggressiveSquareGraph(PC pc, PetscBool b)

Logically Collective

## Input Parameters

- pc - the preconditioner context

- b - default false - MIS-k is faster

## Options Database Key

- -pc_gamg_aggressive_square_graph <bool,default=false> - Use square graph (A’A) or MIS-k (k=2) for aggressive coarsening

## See Also

the Users Manual section on PCGAMG, the Users Manual section on PCMG, KSP: Linear System Solvers, `PCGAMG`, `PCGAMGSetThreshold()`, `PCGAMGSetAggressiveLevels()`, `PCGAMGMISkSetAggressive()`, `PCGAMGMISkSetMinDegreeOrdering()`, `PCGAMGSetLowMemoryFilter()`

## Level

intermediate

## Location

src/ksp/pc/impls/gamg/agg.c

## Examples

src/ksp/ksp/tutorials/ex56.c

## Implementations

PCGAMGSetAggressiveSquareGraph_AGG() in src/ksp/pc/impls/gamg/agg.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages